summaryrefslogtreecommitdiff
path: root/clean.sh
diff options
context:
space:
mode:
authorJacek Blaszczynski <biosciencenow@outlook.com>2017-11-08 16:57:57 (GMT)
committerJacek Blaszczynski <biosciencenow@outlook.com>2017-11-08 16:57:57 (GMT)
commit3bc27d58fe180282c582b16d15f70137a9667748 (patch)
tree498f8067b53764154c7dae002fff8f3a5185c224 /clean.sh
parent8110e41350f33cee45e3a20725cce997b4892452 (diff)
downloadcoreclr-3bc27d58fe180282c582b16d15f70137a9667748.zip
coreclr-3bc27d58fe180282c582b16d15f70137a9667748.tar.gz
coreclr-3bc27d58fe180282c582b16d15f70137a9667748.tar.bz2
Update clean.sh script to reflect changes introduced in clean.cmd, unify messages and functionality
Diffstat (limited to 'clean.sh')
-rwxr-xr-xclean.sh85
1 files changed, 19 insertions, 66 deletions
diff --git a/clean.sh b/clean.sh
index dacb5e2..d4af84a 100755
--- a/clean.sh
+++ b/clean.sh
@@ -2,82 +2,35 @@
usage()
{
- echo "Usage: clean [-b] [-t] [-p]"
+ echo "Usage: clean [-b] [-p] [-c] [-all]"
echo "Repository cleaning script."
- echo " -b Clean bin directory"
- echo " -t Clean tools directory"
- echo " -p Clean packages directory"
- echo " -all Clean everything"
+ echo " -b Delete the binary output directory."
+ echo " -p Delete the repo-local NuGet package directory."
+ echo " -c Delete the user-local NuGet package caches."
+ echo " -all Cleans repository and restores it to pristine state."
echo
- echo "If no option is specified, then \"clean.sh -b -t -p\" is implied."
+ echo "If no option is specified, then \"clean.sh -b\" is implied."
exit 1
}
-# Obtain the location of the bash script to figure out where the root of the repo is.
-__ProjectRoot="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-echo Cleaning previous output for the selected configuration
-
-# Parse arguments
-if [ $# == 0 ]; then
- clean_bin=true
- clean_tools=true
- clean_packages=true
+if [ "$1" == "-?" ] || [ "$1" == "-h" ]; then
+ usage
fi
-while [[ $# -gt 0 ]]
-do
- opt="$1"
- case $opt in
- -h|--help)
- usage
- ;;
- -b)
- clean_bin=true
- ;;
- -t)
- clean_tools=true
- ;;
- -p)
- clean_packages=true
- ;;
- -all)
- clean_bin=true
- clean_tools=true
- clean_packages=true
- ;;
- *)
- esac
- shift
-done
+# Implement VBCSCompiler.exe kill logic once VBCSCompiler.exe is ported to unixes
-if [ "$clean_bin" == true ]; then
- echo "Deleting bin directory"
- rm -rf "$__ProjectRoot/bin"
- if [ $? -ne 0 ]; then
- echo "Error while deleting bin directory - error code was $?"
- exit 1
- fi
-fi
+__working_tree_root="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-if [ "$clean_tools" == true ]; then
- echo "Deleting tools directory"
- rm -rf "$__ProjectRoot/Tools"
- if [ $? -ne 0 ]; then
- echo "Error while deleting tools directory - error code was $?"
- exit 1
- fi
+if [ "$*" == "-all" ]
+then
+ echo "Removing all untracked files in the working tree"
+ git clean -xdf $__working_tree_root
+ exit $?
fi
-if [ "$clean_packages" == true ]; then
- echo "Deleting packages directory"
- rm -rf "$__ProjectRoot/packages"
- if [ $? -ne 0 ]; then
- echo "Error while deleting packages directory - error code was $?"
- exit 1
- fi
+if [ $# == 0 ]; then
+ __args=-b
fi
-echo "Clean was successful"
-
-exit 0 \ No newline at end of file
+$__working_tree_root/run.sh clean $__args $*
+exit $?